/* Modal (Hintergrund und Container) - Umbenannt in .my-modal-popup-video */
       /* Modal (Hintergrund und Container) - Umbenannt in .my-modal-popup-video */
        .my-modal-popup-video {
            display: none; /* Standardmäßig unsichtbar */
            position: fixed;
            z-index: 999999999;
            left: 0;
            top: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(0, 0, 0, 0.85); /* Dunkler Hintergrund */
            overflow: hidden;
        }

		.my-modal-popup-video-container {
			 width: 100%;
            height: 100%;
            display: flex;  /* Flexbox-Container für Zentrierung */
            justify-content: center; /* Horizontal zentrieren */
            align-items: center; /* Vertikal zentrieren */
        }

        .my-modal-popup-video .my-modal-popup-video-content {

			width: 90%;
            max-width: 950px;
			box-sizing: border-box;
			box-shadow: 0 0 8px rgba(0, 0, 0, 0.6);
			position: relative;
        }

        /* Video-Styling */
        .my-modal-popup-video video {
            width: 100%;
            height: auto;
            background-color: black;
			margin:0;
			padding:0;
        }

        /* Close Button */
        .my-modal-popup-video .my-modal-close {
            color: #fff;
            font-family: Arial, Baskerville, monospace; 
            font-size: 28px;
            font-weight: bold;
			position: absolute;
			right:0;
			top:-35px;
			
        }

        .my-modal-popup-video .my-modal-close:hover,
        .my-modal-popup-video .my-modal-close:focus {
            color: #ccc;
            text-decoration: none;
            cursor: pointer;
        }